plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.jetbrains.kotlin.android)
    id 'com.google.devtools.ksp'
}

android {
    namespace 'com.za.sdk.demo'
    compileSdk 35

    defaultConfig {
        applicationId "com.za.sdk.demo"
        minSdk 24
        targetSdk 35
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        manifestPlaceholders = [
                JPUSH_PKGNAME : "com.za.sdk.demo",
                JPUSH_APPKEY  : "a87e46d05e9f095a2b47a304", //JPush 上注册的包名对应的 Appkey.e6c51448340caba93fd418
                JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.

                XIAOMI_APPID  : "MI-2882303761518149120",
                XIAOMI_APPKEY : "MI-5381814934120",//MI-小米的APPKEY
                HUAWEI_APPID  : "appid=100923923",//appid=华为的APPID"
                OPPO_APPKEY   : "OP-c8ce8eafcd3940ceb85c1ccbee8863c7",//OP-oppo的APPKEY
                OPPO_APPID    : "OP-30136992",//OP-oppo的APPID
                OPPO_APPSECRET: "OP-25e2baa85b7946b1b365af515515c42d",//OP-oppo的APPSECRET
                VIVO_APPKEY   : "cfd443e2a1757cf537361588c988a12a",//vivo的APPKEY
                VIVO_APPID    : "105470845",//vivo的APPID
        ]
    }

    signingConfigs {
        config {
            storeFile file('E:\\workspace\\study\\zd_sdk_demo\\zd_sdk_demo.jks')
            storePassword '123456'
            keyAlias 'key0'
            keyPassword '123456'
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            signingConfig signingConfigs.config
        }
        debug {
            minifyEnabled false          // 开启混淆
            signingConfig signingConfigs.config
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
    kotlinOptions {
        jvmTarget = '11'
    }

    composeOptions {
        kotlinCompilerExtensionVersion '1.5.15'
    }

    buildFeatures {
        compose true
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ["libs"]
        }
    }
}

dependencies {

    implementation project(':servicing')
//    implementation 'io.github.szl9:zd_servicing:1.0.1.5'

//    implementation fileTree(dir: 'libs', include: ['*.jar', '*.aar'])
//    implementation files('libs/zd_servicing-1.0.1.5.aar')
//    implementation 'io.github.szl9:zd_servicing:1.0.1.9'
//

//    implementation libs.androidx.core.ktx
//    implementation libs.androidx.appcompat
//    implementation libs.material
//    implementation libs.androidx.lifecycle.viewmodel.compose
//    implementation libs.androidx.lifecycle.runtime.ktx
//    implementation libs.androidx.activity.compose
//    implementation platform(libs.androidx.compose.bom)
//    implementation libs.androidx.ui
//    implementation libs.androidx.ui.graphics
//    implementation libs.androidx.ui.tooling.preview
//    implementation libs.androidx.material3
//    implementation libs.androidx.work.runtime.ktx
//    implementation libs.androidx.exifinterface
//
//    testImplementation libs.junit
//    androidTestImplementation libs.androidx.junit
//    androidTestImplementation libs.androidx.espresso.core
//    androidTestImplementation platform(libs.androidx.compose.bom)
//    androidTestImplementation libs.androidx.ui.test.junit4
//    debugImplementation libs.androidx.ui.tooling
//    debugImplementation libs.androidx.ui.test.manifest
//
//    implementation libs.coil.compose
//    implementation libs.coil.gif
//
//    implementation libs.permissionx
//    implementation libs.utilcodex
//
//    implementation libs.crashreport
//
//    // 高德地图
//    implementation libs.xdmap
//    implementation libs.location
//    implementation libs.search
//
//    // JPush
//    implementation libs.jpush
//    implementation libs.jcore
//    implementation libs.gson
//
//    // 网络
//    implementation libs.retrofit
//    implementation libs.converter.gson
//    implementation libs.adapter.rxjava3
//    implementation libs.rxjava
//    implementation libs.rxandroid
//    implementation libs.logging.interceptor
//    implementation libs.fastjson
//
//    // 本地数据
//    implementation libs.room.runtime
//    annotationProcessor libs.room.compiler
//    ksp libs.room.compiler
//    implementation libs.mmkv
//
//    // 7z
//    implementation libs.xz
//    implementation libs.commons.compress
//
//    implementation libs.core
//    implementation libs.tbssdk
//
//    // CameraX
//    implementation libs.androidx.camera.core
//    implementation libs.androidx.camera.camera2
//    implementation libs.androidx.camera.lifecycle
//    implementation libs.androidx.camera.view
//    implementation libs.androidx.camera.extensions
//
//    implementation libs.glide
//    annotationProcessor libs.compiler
//
//    implementation libs.org.eclipse.paho.client.mqttv3
//    implementation libs.org.eclipse.paho.android.service
}